#ifndef AHISTLINEEDIT_H
#define AHISTLINEEDIT_H

#include <klineedit.h>
#include <qstringlist.h>

class aHistLineEdit : public KLineEdit
{
Q_OBJECT
public:
  aHistLineEdit(QWidget *parent = 0, const char *name = 0);

signals:
  void gotFocus();
  void pasteText(const QString&);
  void notTab();

protected:
  bool processKeyEvent( QKeyEvent * );
  virtual void keyPressEvent ( QKeyEvent * );
  virtual void focusInEvent ( QFocusEvent * );
  virtual void mousePressEvent ( QMouseEvent * );

  virtual bool eventFilter( QObject *o, QEvent *e );

private:

  void doEnterKey();

  QStringList hist;
  QStringList::Iterator current;
  void ColourPickerPopUp();

};

#endif
